Recomendações TLSv1.2

  1. I. Resolução de problemas para a compatibilidade
    1. 1. Testar a compatibilidade do browser para o TLSv1.2
    2. 2. Testar a versão do browser
    3. 3. Testar a versão do sistema operativo
  2. II. Recomendações de compatibilidade para o TLSv1.2
    1. 1. Compatibilidade do sistema operativo
    2. 2. Compatibilidade do browser
  3. III. Upgrade para compatibilidade
    1. 1. Passos para activar o TLSv1.2 no seu browser
    2. 2. Upgrade da versão do browser
    3. 3. Upgrade da versão do sistema operativo

I. Resolução de problemas para a compatibilidade

1. Testar a compatibilidade do browser para o TLSv1.2

O cliente pode testar a compatibilidade do browser do TLSv1.2 simplesmente visitando o seguinte URL:
https://quickstream.westpac.com.au/quickportal/BrowserTlsVersionView

O browser é compatível

Se o browser suporta o TLSv1.2 então o cliente irá ver o seguinte.

browser supports latest image version image needs to be placed

O browser é incompatível

Se o browser não suporta o TLSv1.2 o cliente irá receber a seguinte página que tem o TLS 1.0 e TLS 1.1 desactivados.

browser needs to updated image version image needs to be placed

2. Testar a versão do browser

O cliente pode testar a sua versão do browser ao visitar o seguinte URL:
https://www.whatismybrowser.com/

3. Testar a versão do sistema operativo

O cliente pode testar a sua versão do sistema operativo visitando o seguinte URL:
http://whatsmyos.com/

II. Recomendações de compatibilidade para o TLSv1.2

1. Compatibilidade do sistema operativo

Sistema operativo Versão Recomendações para o cliente
Mac - Mac OS X 10.9 e anteriores O seu sistema operativo não é suportado pelo TLS 1.2 e tem de ser actualizado para o Mac OS X 10.10 ou posterior
Se a actualização do sistema operativo não for possível, então o dispositivo terá de ser substituído.
Windows - Windows 3.1
- Windows XP
- Windows 95
- Windows NT
- Windows Vista
O seu sistema operativo não é suportado pelo TLS 1.2 e tem de ser actualizado para o Windows 7 ou posterior
Se a actualização do sistema operativo não for possível, então o dispositivo terá de ser substituído.
iOS - anterior a iOS 7 O seu sistema operativo não é suportado pelo TLS 1.2 e tem de ser actualizado.
Se a actualização do sistema operativo não for possível, então o dispositivo terá de ser substituído.
Android - Android 4.4 e anterior O seu sistema operativo não é suportado pelo TLS 1.2 e tem de ser actualizado para a versão 5 ou superior.
Se a actualização do sistema operativo não for possível, então o dispositivo terá de ser substituído.

2. Compatibilidade do browser

Google Chrome

Versão Chrome Sistema operativo Recomendações para o cliente
v1 até 29 - Windows 7 e posterior
- Mac OS X 10.9 e posterior
- Linux
- Android
- iOS 9 e posterior
- Chrome OS
O seu browser web não é suportado pelo TLS 1.2 e tem de ser actualizado.
v30 até 58 - Windows 7 e posterior
- Mac OS X 10.9 e posterior
- Linux
- Android
- iOS 9 e posterior
- Chrome OS
O seu browser web não é suportado.

Google Android OS Browser

Versão Google Android OS Sistema operativo Recomendações para o cliente
v1 até v4.0.4 Android O seu browser web não é suportado pelo TLS 1.2 e tem de ser actualizado.
v4.1 até v4.4.4 Android Tem de activar o suporte do TLS 1.2 no seu browser.
v5 até v8 Android O seu browser suporta o TLS 1.2.

Mozilla Firefox

Versão Mozilla Firefox Sistemas operativos Recomendações para o cliente
v1 até v23 - Windows 7 e posterior
- Mac OS X 10.9 e posterior
- Linux
- Android 4.0.3
- iOS 9.0 e posterior
O seu browser web não é suportado pelo TLS 1.2 e tem de ser actualizado.
v24 até v26 - Windows 7 e posterior
- Mac OS X 10.9 e posterior
- Linux
- Android 4.0.3
- iOS 9.0 e posterior
Tem de activar o suporte do TLS 1.2 no seu browser.
v27 até v54 - Windows 7 e posterior
- Mac OS X 10.9 e posterior
- Linux
- Android 4.0.3
- iOS 9.0 e posterior
O seu browser suporta o TLS 1.2.

Mozilla Firefox ESR

Versão Mozilla Firefox ESR Sistemas operativos Recomendações para o cliente
v10 até v17.0.10 - Windows XP SP2 e posterior
- Mac OS X 10.9 e posterior
- Linux
O seu browser web não é suportado pelo TLS 1.2 e tem de ser actualizado.
v24 até v24.1.1 - Windows XP SP2 e posterior
- Mac OS X 10.9 e posterior
- Linux
Tem de activar o suporte do TLS 1.2 no seu browser.
v31 até v52.1 - Windows XP SP2 e posterior
- Mac OS X 10.9 e posterior
- Linux
O seu browser suporta o TLS 1.2.

Microsoft Internet Explorer

Versão Internet Explorer Sistema operativo Recomendações para o cliente
IE8 Windows XP O seu browser web não é suportado pelo TLS 1.2 e tem de ser actualizado.
IE8 Windows Server 2003 O seu browser web não é suportado pelo TLS 1.2 e tem de ser actualizado.
IE8 Windows Vista O seu browser web não é suportado pelo TLS 1.2 e tem de ser actualizado.
IE8 Windows 7 Tem de activar o suporte do TLS 1.2 no seu browser
IE8 Windows Server 2008 O seu browser web não é suportado pelo TLS 1.2 e tem de ser actualizado.
IE8 Windows Server 2008 R2 Tem de activar o suporte do TLS 1.2 no seu browser.
IE8 Windows Server 2008 R2 Tem de activar o suporte do TLS 1.2 no seu browser.
IE9 Windows Vista O seu browser web não é suportado pelo TLS 1.2 e tem de ser actualizado.
IE9 Windows 7 Tem de activar o suporte do TLS 1.2 no seu browser.
IE9 Windows Server 2008 O seu browser web não é suportado pelo TLS 1.2 e tem de ser actualizado.
IE9 Windows Server 2008 R2 Tem de activar o suporte do TLS 1.2 no seu browser.
IE 10 Windows 7 Tem de activar o suporte do TLS 1.2 no seu browser.
IE 10 Windows 8 Tem de activar o suporte do TLS 1.2 no seu browser.
IE 10 Windows Server 2008 R2 Tem de activar o suporte do TLS 1.2 no seu browser.
IE 10 Windows Server 2012 Tem de activar o suporte do TLS 1.2 no seu browser.
IE11 Windows 7 O seu browser suporta o TLS 1.2
IE11 Windows Server 2008 R2 O seu browser suporta o TLS 1.2.
IE11 Windows 8.1 O seu browser suporta o TLS 1.2.
IE11 Windows Server 2012 R2 O seu browser suporta o TLS 1.2.

Microsoft Internet Explorer Móvel

Versão Internet Explorer Móvel Sistema operativo Recomendações para o cliente
v7 - Windows Phone 7
- Window Phone 7.5
- Window Phone 7.8
O seu browser web não é suportado pelo TLS 1.2 e tem de ser actualizado.
v9 - Windows Phone 7
- Window Phone 7.5
- Window Phone 7.8
O seu browser web não é suportado pelo TLS 1.2 e tem de ser actualizado.
v10 Windows Phone 8 Tem de activar o suporte do TLS 1.2 no seu browser.
v11 Windows Phone 8.1 O seu browser suporta o TLS 1.2.

Microsoft Edge

Versão Microsoft Edge Sistema operativo Recomendações para o cliente
v12 Windows 10 v1507 O seu browser suporta o TLS 1.2.
v13 Windows 10 v1511 O seu browser suporta o TLS 1.2.
v14 Windows 10 v1607 O seu browser suporta o TLS 1.2.
v15 Windows 10 v1703 O seu browser suporta o TLS 1.2.
v16 Windows 10 v1709 O seu browser suporta o TLS 1.2.

Opera

Versão Opera Sistemas operativos Recomendações para o cliente
v1 até v9 - Windows 7 e posterior
- Mac OS X 10.9 e posterior
- Linux
- Android 4.0 e posterior
O seu browser web não é suportado pelo TLS 1.2 e tem de ser actualizado.
v10 até v12.17 - Windows 7 e posterior
- Mac OS X 10.9 e posterior
- Linux
- Android 4.0 e posterior
Tem de activar o suporte do TLS 1.2 no seu browser.
v12.18 - Windows 7 e posterior
- Mac OS X 10.9 e posterior
- Linux
- Android 4.0 e posterior
O seu browser suporta o TLS 1.2.
v14 até v16 - Windows 7 e posterior
- Mac OS X 10.9 e posterior
- Linux
- Android 4.0 e posterior
O seu browser web não é suportado pelo TLS 1.2 e tem de ser actualizado.
v17 até v45 - Windows 7 e posterior
- Mac OS X 10.9 e posterior
- Linux
- Android 4.0 e posterior
O seu browser suporta o TLS 1.2.

Apple Safari

Versão Safari Sistemas operativos Recomendações para o cliente
v1 - Mac OS X 10.2 e posterior O seu browser web não é suportado pelo TLS 1.2 e tem de ser actualizado.
v2 até v5 - Mac OS X 10.4, 10.5, 10.6, 10.7
- Windows XP
O seu browser web não é suportado pelo TLS 1.2 e tem de ser actualizado.
v6 - MAC OS X 10.8 O seu browser web não é suportado pelo TLS 1.2 e tem de ser actualizado.
v7 até v10 - Mac OS X 10.9, 10.10, 10.11, 10.12, 10.13
- iOS 1.0 e posterior
O seu browser suporta o TLS 1.2.
v3 até v5 (iOS 3 e 4) - Mac OS X 10.2 e posterior
- iOS 1.0 e posterior
O seu browser web não é suportado pelo TLS 1.2 e tem de ser actualizado.
v3 até v5 (iOS 3 e 4) - Mac OS X 10.2 e posterior
- iOS 1.0 e posterior
O seu browser web não é suportado pelo TLS 1.2 e tem de ser actualizado.

Apple Safari Móvel

Versão Safari Móvel Sistemas operativos Recomendações para o cliente
v3 iOS 1
iOS 2
O seu browser web não é suportado pelo TLS 1.2 e tem de ser actualizado.
v4 até v5 iOS 3
iOS 4
O seu browser web não é suportado pelo TLS 1.2 e tem de ser actualizado.
v5 até v6 iOS 5
iOS 6
O seu browser suporta o TLS 1.2.
v7 iOS 7 O seu browser suporta o TLS 1.2
v8 iOS 8 O seu browser suporta o TLS 1.2
v9 iOS 9 O seu browser suporta o TLS 1.2
v10 iOS 10 O seu browser suporta o TLS 1.2
v11 iOS 11 O seu browser suporta o TLS 1.2

III. Upgrade para compatibilidade

1. Passos para activar o TLSv1.2 no seu browser

De seguida estão listados passos para a resolução de compatibilidade do TLSv1.2 para a maioria dos browsers comuns.

Microsoft Internet Explorer:

Passos para activar o TLS 1.2 no Microsoft Internet Explorer

  1. Abra o Internet Explorer e clique em Ferramentas > Opções de Internet.
  2. Seleccione as opções ao lado do TLS 1.1 e TLS 1.2 para activar o suporte para estes protocolos.
  3. Seleccione a página Avançadas.
  4. Desça na página até à secção de Segurança no fim da lista de definições.
  5. Seleccione as opções ao lado do TLS 1.1 e TLS 1.2 para activar o suporte para estes protocolos.
  6. Desmarque a caixa junto do SSL 3.0 para desactivar esta definição.
  7. Clique em Aplicar e OK.
  8. Feche o seu browser e reinicie o Internet Explorer.

O seu browser está agora preparado para suportar o protocolo TLS 1.2.

Mozilla Firefox:

Passos para activar o TLS 1.2 in Mozilla Firefox

  1. Abra Firefox.
  2. Na barra de endereço/URL, digite about:config e prima o Enter.
  3. No campo de pesquisa, enter tls. Localize e clique duas vezes na entrada para security.tls.version.min.
  4. Defina o valor Integer para 3 para activar o suporte para TLS 1.2.
  5. Clique OK.
  6. Encerre o seu browser e re-inicie o Mozilla Firefox.

O seu browser está agora preparado para suportar o protocolo TLS 1.2.

Google Chrome:

Passos para activar o TLS 1.2 no Google Chrome

  1. Do browser, clique no separador personalizado no canto mais à direita e clique em definições.
  2. Puxe para baixo a secção Rede e clique em Alterar definições proxy...
  3. Nas propriedadas da Internet, clique no separador avançadas e puxe para baixo para Segurança. Assinale a quadrícula TLS 1.2.

O seu browser está agora preparado para suportar o protocolo TLS 1.2.

Opera

  1. Abra o Opera.
  2. Clique Ctrl e F12.
  3. Puxe para baixo a secção Rede e clique em Alterar definições proxy...
  4. Seleccione a página Avançadas.
  5. Puxe para baixo a secção Segurança e assinale as quadrículas ao lado de Usar TLS 1.1 e Usar TLS 1.2.
  6. Clique OK.
  7. Feche o seu browser e re-inicie o Opera.

O seu browser está agora preparado para suportar o protocolo TLS 1.2.

Apple Safari:

Não há opções para activar os protocolos SSL. Se o cliente estiver a usar a versão 7 de Safari ou superior, o TLS 1.1 e TLS 1.2 são activados automaticamente.

2. Upgrade da versão do browser

O cliente pode consultar os links relevantes mencionados, para fazer o upgrade para a mais recente versão do browser.

Google Chrome
https://www.google.com/chrome/

Google Android OS Browser
https://play.google.com/store/apps/details?id=org.easyweb.browser&hl=en

Mozilla Firefox
https://www.mozilla.org/en-US/firefox/

Mozilla Firefox ESR
https://www.mozilla.org/en-US/firefox/organizations/

Microsoft Internet Explorer
https://www.microsoft.com/en-us/download/internet-explorer.aspx

Microsoft Internet Explorer Móvel
https://support.microsoft.com/en-us/help/12662/windows-phone-update-your-windows-phone

Opera
https://www.opera.com/o/ie-simple

Apple Safari
https://support.apple.com/downloads/safari

Apple Safari Móvel
https://support.apple.com/downloads/safari

3. Upgrade da versão do sistema operativo

O cliente precisa de contactar o serviço de apoio a clientes para mais ajuda.